{
  "name": "carbon-tutorial",
  "version": "0.0.0",
  "private": true,
  "repository": "git@github.com:carbon-design-system/carbon-tutorial.git",
  "bugs": "https://github.com/carbon-design-system/carbon-tutorial/issues",
  "license": "Apache-2.0",
  "scripts": {
    "build": "react-scripts build",
    "ci-check": "yarn format:diff",
    "clean": "yarn cache clean && yarn install",
    "eject": "react-scripts eject",
    "format": "prettier --write \"**/*.{js,md,scss}\"",
    "format:diff": "prettier --list-different \"**/*.{js,md,scss}\"",
    "format:staged": "prettier --write",
    "start": "react-scripts start",
    "test": "react-scripts test"
  },
  "dependencies": {
    "@apollo/client": "^3.4.10",
    "@carbon/icons-react": "10.22.0",
    "@carbon/react": "0.3.0-rc.0",
    "carbon-components": "10.41.0",
    "carbon-components-react": "7.41.0",
    "carbon-icons": "7.0.7",
    "enzyme": "3.11.0",
    "enzyme-adapter-react-16": "1.15.5",
    "graphql": "15.5.2",
    "react": "16.10.0",
    "react-dom": "16.10.0",
    "react-router-dom": "5.0.0",
    "react-scripts": "4.0.3",
    "sass": "1.38.0"
  },
  "devDependencies": {
    "@commitlint/cli": "7.5.2",
    "@commitlint/config-conventional": "7.5.0",
    "husky": "1.3.1",
    "lint-staged": "8.1.5",
    "prettier": "1.17.0",
    "wait-for-expect": "3.0.2"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": [
    ">0.2%",
    "not dead",
    "not ie <= 11",
    "not op_mini all"
  ],
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -e $HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  },
  "lint-staged": {
    "*.js": [
      "yarn format:staged",
      "git add"
    ],
    "*.{scss,css}": [
      "yarn format:staged",
      "git add"
    ],
    "*.md": [
      "yarn format:staged",
      "git add"
    ]
  },
  "prettier": {
    "jsxBracketSameLine": true,
    "printWidth": 80,
    "singleQuote": true,
    "trailingComma": "es5"
  }
}
